/*
 * To change this license header, choose License Headers in Project Properties.
 * To change this template file, choose Tools | Templates
 * and open the template in the editor.
 */
package com.cosmodas.EntCosmos;

import java.io.Serializable;
import javax.persistence.Basic;
import javax.persistence.Column;
import javax.persistence.Embeddable;
import javax.validation.constraints.NotNull;
import javax.validation.constraints.Size;

/**
 * @author obper
 */
@Embeddable
public class PremiosPK implements Serializable {
    @Basic(optional = false)
    @NotNull
    @Size(min = 1, max = 3)
    @Column(name = "premio_codigo")
    private String premioCodigo;
    @Basic(optional = false)
    @NotNull
    @Size(min = 1, max = 3)
    @Column(name = "programa_codigo")
    private String programaCodigo;

    public PremiosPK() {
    }

    public PremiosPK(String premioCodigo, String programaCodigo) {
        this.premioCodigo = premioCodigo;
        this.programaCodigo = programaCodigo;
    }

    public String getPremioCodigo() {
        return premioCodigo;
    }

    public void setPremioCodigo(String premioCodigo) {
        this.premioCodigo = premioCodigo;
    }

    public String getProgramaCodigo() {
        return programaCodigo;
    }

    public void setProgramaCodigo(String programaCodigo) {
        this.programaCodigo = programaCodigo;
    }

//    @Override
//    public int hashCode() {
//        int hash = 0;
//        hash += (premioCodigo != null ? premioCodigo.hashCode() : 0);
//        hash += (programaCodigo != null ? programaCodigo.hashCode() : 0);
//        return hash;
//    }

    @Override
    public boolean equals(Object object) {
        // TODO: Warning - this method won't work in the case the id fields are not set
        if (!(object instanceof PremiosPK)) {
            return false;
        }
        PremiosPK other = (PremiosPK) object;
        if ((this.premioCodigo == null && other.premioCodigo != null) || (this.premioCodigo != null && !this.premioCodigo.equals(other.premioCodigo))) {
            return false;
        }
        if ((this.programaCodigo == null && other.programaCodigo != null) || (this.programaCodigo != null && !this.programaCodigo.equals(other.programaCodigo))) {
            return false;
        }
        return true;
    }

    @Override
    public String toString() {
        return "com.cosmodas.dbcon.PremiosPK[ premioCodigo=" + premioCodigo + ", programaCodigo=" + programaCodigo + " ]";
    }

}
